<!DOCTYPE html>
<html lang="en">
<html>
<head>
	<meta charset="UTF-8">
	<title>Calendario</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
	<script src="js/jquery.min.js"></script>
	<script src="js/moment.min.js"></script>
	<!-- Full Calendar -->
	<link rel="stylesheet"  href="css/fullcalendar.min.css">
	<script src="js/fullcalendar.min.js"></script>
	<script src="js/es.js"></script>

	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</head>
<body>

	<div class="container">
		<div class="row">
			<div class="col"></div>
			<div class="col-7"><div id="CalendarioWeb"></div></div>
			<div class="col"></div>
		</div>
	</div>
	
<script>
	$(document).ready(function(){
		$('#CalendarioWeb').fullCalendar({
			header:{
				left: 'today, prev, next, Miboton',
				center: 'title',
				right:''
			},

			dayClick: function(date, jsEvent, view) {
		
			   limpiarFormulario();
			    $('#txtFecha').val(date.format());
			    $("#ModalCumple").modal();

			 },
		
			events:'http://localhost/calendarioWeb/cumple.php',
			eventClick:function(calEvent, jsEvent, view){
				//H2
	
				//Mostrar la información del evento en ´los inputs
				$('#txtDescripcion').val(calEvent.descripcion);
				$('#txtID').val(calEvent.id);
				$('#txtTitulo').val(calEvent.title);
				$('#txtFecha').val((calEvent.start).format());
				$('#txtColor').val(calEvent.color);
				$("#ModalCumple").modal();
			
			},
			editable:true,
			eventDrop:function(calEvent){
				$('#txtID').val(calEvent.id);
				$('#txtTitulo').val(calEvent.title);
				$('#txtDescripcion').val(calEvent.descripcion);
				$('#txtColor').val(calEvent.color);
				$('#txtFecha').val((calEvent.start).format());
				RecolectarDatosGUI();
				console.log(NuevoCumple);
				EnviarInformacion('modificar',NuevoCumple,true);

			}

		});
	});
</script>

<div class="modal fade" id="ModalCumple" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="tituloEvento">CUMPLEAÑOS</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
    	
        <input type="hidden" id="txtID" name="txtID"><br/>
        <div class="form-row">
        	<div class="form-group col-md-8">
        		<label>Nombre:</label>
        		<input type="text" id="txtTitulo" class="form-control" placeholder="Nombre"><br/>
        	</div>  
         	<div class="form-group col-md-4">
        		<label>Fecha:</label>
        		<input type="text" id="txtFecha" name="txtFecha" class="form-control"><br/>
        	</div>
        </div>
        <div class="form-group">
        	<label>Descripción:</label> 
        	<textarea id="txtDescripcion" rows="3" class="form-control" placeholder="Descripción"></textarea><br/>
        	
        </div>
        <div class="form-group">
        	<label>Color:</label>
        	<input type="color" id="txtColor" value="#ff0000" class="form-control" style="height:36px"><br/>
        </div>
 
       
      </div>
      <div class="modal-footer">
      	<button type="button" id="btnAgregar" class="btn btn-success">Agregar</button>
        <button type="button" id="btnModificar" class="btn btn-success">Modificar</button>
        <button type="button" id= "btnEliminar" class="btn btn-danger">Borrar</button>
        <button type="button" id= "btnCancelar" class="btn btn-default" data-dismiss="modal">Cancelar</button>
      </div>
    </div>
  </div>
</div>

<script>
	var NuevoCumple;
	$('#btnAgregar').click(function(){
		RecolectarDatosGUI();
		console.log(NuevoCumple);
		EnviarInformacion('agregar',NuevoCumple);
		
	});
	$('#btnEliminar').click(function(){
		RecolectarDatosGUI();
		console.log(NuevoCumple);
		EnviarInformacion('eliminar',NuevoCumple);
		
	});
	$('#btnModificar').click(function(calEvent){
		RecolectarDatosGUI();
		$('#txtID').val(calEvent.id);
		$('#txtTitulo').val(calEvent.title);
		$('#txtDescripcion').val(calEvent.descripcion);
		$('#txtColor').val(calEvent.color);
		$('#txtFecha').val(calEvent.start);
		console.log(NuevoCumple);
		EnviarInformacion('modificar',NuevoCumple);
		
	});

	function RecolectarDatosGUI(){
		NuevoCumple= {
			id:$('#txtID').val(),
			title:$('#txtTitulo').val(),
			start:$('#txtFecha').val(),
			descripcion:$('#txtDescripcion').val(),
			color:$('#txtColor').val()
		};

	}
	function EnviarInformacion(accion,objEvento,modal){
		console.log(objEvento);
		$.ajax({
			type:'POST',
			url:'cumple.php?accion='+accion,
			data:objEvento,

			success:function(msg){
				if(msg){

					console.log(msg);
					$('#CalendarioWeb').fullCalendar('refetchEvents');
					if(!modal){
						$("#ModalCumple").modal('hide');

					}
				}
			},
			error:function(){
				alert("Hay un error...");
			},
 

		});
        
	}
	function limpiarFormulario(){
		$('#txtID').val('');
		$('#txtTitulo').val('');
		$('#txtDescripcion').val('');
		$('#txtColor').val('');			
	}
</script>
</body>
</html>